Settings Class Reference

Thin wrapper for the QSettings class, simplifying reading and writing of settings. More...

`#include <settings.h>`

## Public Types

enum class | Main { SetupComplete , Style , Font , FontSize , UseSystemFont , LogbookView , DateFormat }
enum class | UserData { DisplaySelfAs , TailSortColumn , PilotSortColumn , FtlWarningThreshold , CurrWarningThreshold , ShowToLgdCurrency , ShowLicCurrency , ShowTrCurrency , ShowLckCurrency , ShowMedCurrency , ShowCustom1Currency , ShowCustom2Currency , Custom1CurrencyName , Custom2CurrencyName }
enum class | FlightLogging { Function , Approach , NightLoggingEnabled , LogIFR , FlightNumberPrefix , PilotFlying , NightAngle }

## Static Public Member Functions

static void | setup ()
| Should be called after QCoreApplication::set...Name have been called.
static void | resetToDefaults ()
| Settings::resetToDefaults (Re-)sets all settings to the default value.
static QVariant | read (const Main key)
static void | write (const Main key, const QVariant &val)
static QVariant | read (const FlightLogging key)
static void | write (const UserData key, const QVariant &val)
static QVariant | read (const UserData key)
static void | write (const FlightLogging key, const QVariant &val)
static QString | groupOfKey (const Main key)
| Return string representation of group of key: "ini_header/key".
static QString | groupOfKey (const FlightLogging key)
static QString | groupOfKey (const UserData key)
static QString | stringOfKey (const Main key)
| Return string representation of key.
static QString | stringOfKey (const FlightLogging key)
static QString | stringOfKey (const UserData key)
static QSettings | settings ()
static void | sync ()

## Detailed Description

Thin wrapper for the QSettings class, simplifying reading and writing of settings.

The documentation for this class was generated from the following files:

- src/classes/settings.h
- src/classes/settings.cpp